Retrieve OpenData Clinical Affiliations
Given a Person or Organization mapped to OpenData Clinical, retrieves contact information associated with the Investigator Site record.
This API returns a maximum of 100 records. If there are more than 100 records to return, Vault truncates records beyond 100 in the returned response. To retrieve more than 100 records, use Direct Data API.
GET
/api/{version}/app/clinical/opendata/{object_name}/{record_id}/affiliationsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the object to merge. Possible values are person__sys, organization__v, location__v, and contact_information__clin. |
{record_id} | The ID of the person__sys or organization__v record. |
Request
Section link for Requestcurl --location 'https://myvault.veevavault.com/api/v25.1/app/clinical/opendata/person__sys/V0B000000006002/affiliations' \
--header 'Accept: application/json' \
--header 'Authorization: {SESSION_ID}' \Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Success",
"responseDetails": {
"size": 1,
"total": 1
},
"data": [
{
"contact_information": "OOU000000006005",
"hco_opendata_id": "65c467c1a76607ca06e84145",
"hcp_opendata_id": "V01243147864098735105",
"organization_name": "School of Medicine",
"customer_primary": true,
"is_primary": true,
"first_name": "Ashley",
"middle_name": "Kiki",
"last_name": "Terry",
"suffix": null,
"address_line_1": "132 My Street",
"address_line_2": null,
"city": "Kingston",
"state": "us-ny",
"country": "us",
"email": "ashterry@veepharm.edu",
"office_phone": null
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response contains information about the Person or Organization mapped to OpenData Clinical.